/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import React from 'react';
import { shallow } from 'enzyme';
import { StyledRoot, StyledSeparator, StyledIcon } from '../styled-components.js';
describe('StyledComponents', function () {
  describe('StyledRoot', function () {
    it('displays correct styles by default', function () {
      var component = shallow(React.createElement(StyledRoot, null));
      expect(component.instance().getStyles()).toMatchSnapshot();
    });
  });
  describe('StyledSeparator', function () {
    it('displays correct styles by default', function () {
      var component = shallow(React.createElement(StyledSeparator, null));
      expect(component.instance().getStyles()).toMatchSnapshot();
    });
  });
  describe('StyledIcon', function () {
    it('displays correct styles by default', function () {
      var component = shallow(React.createElement(StyledIcon, null));
      expect(component.instance().getStyles()).toMatchSnapshot();
    });
  });
});